// UrsPersitenceBase.h

#ifndef _URSPERSITENCEBASE_h
#define _URSPERSITENCEBASE_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "Arduino.h"
#else
	#include "WProgram.h"
#endif

#include <EEPROM.h>


class UrsPersitenceBaseClass : EEPROMClass {
protected:
   char isValid[8]; // String zum Test der gültigen EEPROM-Belegung. Wird mit "isValid" belegt.
   UrsPersitenceBaseClass(size_t size);

public:
  size_t _size;    // Größe des EEPROMS
  void begin(); // Initialisiert das EEPROM und liest die Daten in die Felder dieser Klasse
  void save();  // Übertägt die Felder dieser Klasse in das EEPROM
};

class x : public UrsPersitenceBaseClass {
protected: 
public:
  x() : UrsPersitenceBaseClass(sizeof(x)) {}
  float start = -1;
};
#endif

